// UniC10_Plugin_SampleDlg.h : Header-Datei
//

#if !defined(AFX_UNIC10_PLUGIN_SAMPLEDLG_H__C53F0D32_2CB4_4D53_962C_BF4199805A2D__INCLUDED_)
#define AFX_UNIC10_PLUGIN_SAMPLEDLG_H__C53F0D32_2CB4_4D53_962C_BF4199805A2D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CUniC10_Plugin_SampleDlg Dialogfeld

class CUniC10_Plugin_SampleDlg : public CDialog
{
// Konstruktion
public:
	CUniC10_Plugin_SampleDlg(CWnd* pParent = NULL);	// Standard-Konstruktor

// Dialogfelddaten
	//{{AFX_DATA(CUniC10_Plugin_SampleDlg)
	enum { IDD = IDD_UNIC10_PLUGIN_SAMPLE_DIALOG };
	CStatic	m_lMaxCardIDCtrl;
	CStatic	m_lCardID;
	CEdit	m_edVarValueCtrl;
	CButton	m_bSetVarValue;
	CEdit	m_edCardIDCtrl;
	CListCtrl	m_lvVarData;
	CComboBox	m_cbReaderNames;
	CProgressCtrl	m_pbCoding;
	CListBox	m_lbLog;
	CString	m_EDCOMPORT_TEXT;
	CString	m_lConnectionState;
	CString	m_lCodingState;
	CString	m_lDLLVersion;
	CString	m_edVarValue;
	CString	m_edCardID;
	CString	m_lMaxCardID;
	CString	m_edLanguage;
	CString	m_lIsPCSC;
	CString	m_edSearchSleep;
	BOOL	m_chbNoGUI;
	CString	m_cbTransType;
	CString	m_edXMLFileName;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte Überladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CUniC10_Plugin_SampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Unterstützung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CUniC10_Plugin_SampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void OnBconnect();
	afx_msg void OnBcheckconnection();
	afx_msg void OnBdisconnect();
	afx_msg void OnBprepareCoding();
	afx_msg void OnBcode();
	afx_msg void OnBabortcoding();
	afx_msg LRESULT OnCreateCard(WPARAM wParam, LPARAM lParam);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnBsetvarvalue();
	afx_msg void OnBcheckregistration();
	afx_msg void OnBclearregistration();
	afx_msg void OnBsetlanguage();
	afx_msg void OnBgetcustomercode();
	afx_msg void OnSelchangeCbreadernames();
	afx_msg void OnBreadlegicmaster();
	afx_msg void OnBchecklegicmasters();
	afx_msg void OnBsearchcards();
	afx_msg void OnBgetloadedcommissiontranstype();
	afx_msg void OnBselectfilename();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	HINSTANCE m_hInst; // Instance of UniC10_Plugin DLL
	TGetDLLVersion m_GetDLLVersion;
	TGetRegisteredReaderNames m_GetRegisteredReaderNames;
	TIsPCSCReader m_IsPCSCReader;
	TConnectReader m_ConnectReader;
	TCheckReaderConnection m_CheckReaderConnection;
	TDisconnectReader m_DisconnectReader;
	TSearchCards m_SearchCards;
	TPrepareCoding m_PrepareCoding;
	TGetLoadedCommissionTransType m_GetLoadedCommissionTransType;
	TReadLegicMaster m_ReadLegicMaster;
	TCheckLegicMasters m_CheckLegicMasters;
	TGetCodingState m_GetCodingState;
	TCode m_Code;
	TSleepAndCode m_SleepAndCode;
	TAbortCoding m_AbortCoding;
	TGetLog m_GetLog;
	TFreeLog m_FreeLog;
	TFreeWideChar m_FreeWideChar;
	TCheckRegistration m_CheckRegistration;
	TClearRegistration m_ClearRegistration;
	TPerformRegistration m_PerformRegistration;
	TGetCustomerCode m_GetCustomerCode;
	TSetLanguage m_SetLanguage;
	void DisplayLog(LPARAM logHandle);
	void UpdateCodingState();
	PWCHAR CStringToPWCHAR(CString str);
	void UpdateIsPCSCLabel();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fügt unmittelbar vor der vorhergehenden Zeile zusätzliche Deklarationen ein.

#endif // !defined(AFX_UNIC10_PLUGIN_SAMPLEDLG_H__C53F0D32_2CB4_4D53_962C_BF4199805A2D__INCLUDED_)
